Subject: Re: Possible ZSH bug with IO direction
From: Peter Stephenson <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Tue, 26 Apr 2016 10:16:54 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mon, 25 Apr 2016 11:14:06 -0700
"Peter A. Castro" <[email-masked]> wrote:
> So, to sum things up:
>    pre-main hook is bad.
>    CR+LF is evil.
>    Teaching the code to grok CR+LF is hard.
>    Users don't like change and expect things to "just work".
> 
> Am I missing anything?  :-/

Don't think so.

I'd be happy to maintain a git branch to attempt to get some fixes into the
code for CRNL line ending handling as a long-term project, though I'm a
bit busy to contribute right now.  The worst that can happen is we
abandon it and simply waste hours of time...

pws